package com.eactive.eai.authserver.util;

import com.eactive.eai.common.util.ApplicationContextProvider;

public class BeanUtils {
	public static <T> T getBean(String beanId, Class<T> cls) {
		return ApplicationContextProvider.getContext().getBean(beanId, cls);
	}

	public static <T> T getBean(Class<T> cls) {
		return ApplicationContextProvider.getContext().getBean(cls);
	}
}
